Test LoginNotify Extension on Beta Cluster
Closed, ResolvedPublic3 Story Points

Description

Turn on the LoginNotify Extension on the Beta Cluster and test its various functions. See https://www.mediawiki.org/wiki/Extension:LoginNotify.

Also, see if you can answer the question at T158871#3053086.

kaldari created this task.Feb 23 2017, 5:27 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 23 2017, 5:27 PM
kaldari set the point value for this task to 3.Feb 23 2017, 5:55 PM
Ricordisamoa updated the task description. (Show Details)Feb 24 2017, 3:38 PM
kaldari raised the priority of this task from Normal to High.Mar 9 2017, 6:16 PM

Setting to high priority since launching LoginNotify is one of our quarterly goals.

kaldari updated the task description. (Show Details)Mar 25 2017, 2:09 AM
Niharika claimed this task.Mar 30 2017, 7:10 PM
Niharika moved this task from Ready to In Development on the Community-Tech-Sprint board.

Change 345726 had a related patch set uploaded (by Niharika29):
[operations/mediawiki-config@master] Test LoginNotify on Beta cluster

https://gerrit.wikimedia.org/r/345726

Scheduled for swat this evening.

Change 345726 merged by jenkins-bot:
[operations/mediawiki-config@master] Test LoginNotify on Beta cluster

https://gerrit.wikimedia.org/r/345726

Mentioned in SAL (#wikimedia-operations) [2017-04-03T23:10:30Z] <thcipriani@tin> Synchronized wmf-config: SWAT: [[gerrit:345726|Test LoginNotify on Beta cluster]] T158878 (duration: 00m 46s)

Change 346228 had a related patch set uploaded (by Reedy):
[operations/mediawiki-config@master] Disable LoginNotify on wikis that don't have Echo

https://gerrit.wikimedia.org/r/346228

Change 346228 merged by jenkins-bot:
[operations/mediawiki-config@master] Disable LoginNotify on wikis that don't have Echo

https://gerrit.wikimedia.org/r/346228

Mentioned in SAL (#wikimedia-operations) [2017-04-04T01:31:30Z] <reedy@tin> Synchronized wmf-config/InitialiseSettings-labs.php: Disable LoginNotify on wikis that have no Echo T158878 (duration: 00m 44s)

Reedy added a subscriber: Reedy.Apr 4 2017, 1:31 AM

As the commit says... You can't enable the extension places that don't have Echo enabled.... :)

Thanks for that @Reedy.

It's not possible to have "global" notifications in Echo, i.e. your notification has to be tied to a wiki. Here's the current implementation:

What it looks like on the wiki the logins were attempted on:

What it looks like on any other wiki on the cluster:

Note that clicking on the "There have been 4 fails attempts to log in to you ..." message does not do anything. We should make it link to the home wiki because otherwise the message is not completely visible.

Currently blocked on getting the latest patch on Test wiki. https://gerrit.wikimedia.org/r/#/c/347120/

Latest screenshots.

On the wiki where the login attempt happened:

On a different wiki:


There are two things that are kind of bothering me:

  1. Clicking on "There have been 4 login attempts..." message on another wiki (2nd image) doesn't do anything but it does show you the click cursor. This is sort of problematic. To actually read the message, the user needs to click "English Wikipedia" (see 2nd image) which is not so intuitive.
  2. Keeping the message exactly same for both new IPs and known IPs doesn't make a lot of sense. If the person accidentally made a password error logging into their account and the night before someone had attempted to login to their account, they'd likely dismiss it for being their own error. How about we add "from a new computer/IP" and "from a known computer/IP" to the new/known IP messages? Or something along those lines. If it was me, I'd even like to see the IP from where the attempt happened but that doesn't make sense for most people. What Google/FB/Twitter do is to show an approximate location from where the edit might have happened. We can think about something like that in the future.

@Niharika: The first one sounds like a problem inherent in global notifications. Let's talk to the collab team and see what they say. For the second one, what do you think about just adding "from a new device" to the unknown notification (similar to LinkedIn's wording)?

Niharika added a comment.EditedApr 17 2017, 6:26 PM

@Niharika: The first one sounds like a problem inherent in global notifications. Let's talk to the collab team and see what they say. For the second one, what do you think about just adding "from a new device" to the unknown notification (similar to LinkedIn's wording)?

Sounds good. I forgot to mention, for the first problem, if you hover on the text long enough, you will see the full string. And we do have the option of creating a link from it but to where should we link it is the question.

kaldari closed this task as Resolved.Apr 20 2017, 5:50 PM

Change 349264 had a related patch set uploaded (by Niharika29):
[mediawiki/extensions/LoginNotify@master] Change wording to distinguish between new and known devices

https://gerrit.wikimedia.org/r/349264

Change 349264 merged by jenkins-bot:
[mediawiki/extensions/LoginNotify@master] Change wording to distinguish between new and known devices. Add PLURAL for single/multiple attempts. Separate notifications for new/known devices.

https://gerrit.wikimedia.org/r/349264

DannyH moved this task from Untriaged to Archive on the Community-Tech board.